Products
List product variant fields
Developer API operation for GET /dev/v1/products//variants/fields.
GET
/
dev
/
v1
/
products
/
{id}
/
variants
/
fields
List product variant fields
curl --request GET \
--url https://api.shoppex.io/dev/v1/products/{id}/variants/fields \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/products/{id}/variants/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/products/{id}/variants/fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/products/{id}/variants/fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/products/{id}/variants/fields"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "field_1",
"name": "Region",
"type": "select",
"required": true,
"placeholder": null,
"default_value": null,
"sort_order": 0,
"options": [
{
"id": "option_1",
"label": "Europe",
"value": "eu",
"sort_order": 0,
"created_at": 1711953600,
"updated_at": 1711953900
}
],
"created_at": 1711953600,
"updated_at": 1711953900
}
],
"pagination": {
"next_cursor": null,
"has_more": false
}
}Previous
Create product variant fieldDeveloper API operation for POST /dev/v1/products/{id}/variants/fields.
Next
⌘I
List product variant fields
